Subject: bug#23642: 24.5; Dired Line Movement, Region Handling

From: Michael Cain <[email-masked]>
Date: Sat, 28 May 2016 17:25:44 -0400

(I'm not sure if this is actually a bug or not, just because Dired is
used so frequently and I assume someone probably would've mentioned it
by now. Hopefully this feedback will be helpful anyway)

I find myself using the writable feature of Dired rather frequently, but
one default of Dired's up/down movement (specifically the shift
selection in Transient Mark mode) is difficult to work around. That is,
I very often try to hold down shift and proceed down lines to create a
region, but this doesn't work by default.

I've temporarily solved this by making wrapper functions around
`dired-next-line' and `dired-previous-line' that handle the shift
selection, but it also works to add an additional "^" argument to the
existing "p" in those functions.

Thanks! :)